﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml.Linq;
using Infragistics.Windows.DataPresenter;

namespace GridTester
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(ReadOnlyGrid_Loaded);
        }
        void ReadOnlyGrid_Loaded(object sender, RoutedEventArgs e)
        {
            LoadXMLData();
        }

        private void LoadXMLData()
        {
            XDocument doc = XDocument.Load("Datasource/Products.xml");

            // Run LINQ query to retrieve the necessary data
            var data = (from d in doc.Descendants("Products")
                        select new Product
                        {
                            // Gets ProductID field
                            SKU = d.Element("ProductID").Value,
                            // Gets ProductName field
                            Name = d.Element("ProductName").Value,
                            // Gets Category field 
                            Category = d.Element("Category").Value,
                            // Gets Supplier field 
                            Supplier = d.Element("Supplier").Value,
                            // Gets QuantityPerUnit field
                            QuantityPerUnit = d.Element("QuantityPerUnit").Value
                            // TODO: Retrieve all the fields from XDocument and fill the XamGrid ItemSource
                        }).ToList<Product>();

            // Set the ItemsSource to generate the columns.
            igGrid.DataSource = data;

        }
        private int counter = 1;
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var buySummary = new SummaryDefinition
            {
                Key = "Name" + counter++,
                Calculator = SummaryCalculator.Count,
                SourceFieldName = "Name"
            };
            igGrid.FieldLayouts[0].SummaryDefinitions.Add(buySummary);
        }

    }
}
